<script setup lang="ts">
  import HeaderPage from './components/HeaderPage.vue';
  import FooterPage from './components/FooterPage.vue';
  import { useRoute } from 'vue-router'
  import {computed, onMounted} from "vue";
  import WOW from "wow.js";

  const route = useRoute()
  console.log(route)
  const routerKey = computed(() => {
    return route.path + Math.random()
  })
  onMounted(()=>{
    let wow = new WOW({
      boxClass: "wow",
      animateClass: "animated",
      offset: 0,
      mobile: true,
      live: true,
      scrollContainer: null,
      resetAnimation: true,
    });
    wow.init();
  })
</script>

<template>
  <HeaderPage></HeaderPage>
  <router-view :key="routerKey"></router-view>
  <FooterPage></FooterPage>
</template>

<style>
 @import './assets/css/index.css';
</style>
